package com.pcloud.book.advertising.entity;

import java.util.Date;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * (AdvertisingCpaProductPackage)实体类
 *
 * @author makejava
 * @since 2022-11-29 18:28:41
 */
@Data
public class AdvertisingCpaProductPackage extends BaseEntity {

    private static final long serialVersionUID = -63683675671690720L;
    
    @ApiModelProperty("权益配置id")
    private Long id;
    
    @ApiModelProperty("权益id")
    private String productPackageId;
    
    @ApiModelProperty("权益包名称")
    private String productName;
    
    @ApiModelProperty("描述")
    private String description;
    
    @ApiModelProperty("第三方接口-域名")
    private String apiDomain;
    
    @ApiModelProperty("第三方接口-订单插入")
    private String apiMethodCreate;
    
    @ApiModelProperty("第三方接口-订单退款")
    private String apiMethodRefund;
    
    @ApiModelProperty("应用id")
    private String appId;
    
    @ApiModelProperty("密钥")
    private String appSecret;
    
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    
}
