package com.pcloud.book.advertising.dao.impl;

import com.pcloud.book.advertising.entity.AdvertisingCpaProductPackage;
import com.pcloud.book.advertising.dao.AdvertisingCpaProductPackageDao;
import com.pcloud.common.core.dao.BaseDaoImpl;
import org.springframework.stereotype.Repository;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * (AdvertisingCpaProductPackage)表数据库访问层
 *
 * @author makejava
 * @since 2022-11-29 18:12:15
 */
@Repository("advertisingCpaProductPackageDao")
public class AdvertisingCpaProductPackageDaoImpl extends BaseDaoImpl<AdvertisingCpaProductPackage> implements AdvertisingCpaProductPackageDao {

    @Override
    public AdvertisingCpaProductPackage getByProductPackageId(String productPackageId) {
        return getSessionTemplate().selectOne(getStatement("getByProductPackageId"), productPackageId);
    }
}
